#include <GL/glu.h>
#include <GL/glext.h>

#include "glrasterpixmap.hh"
#include <stdio.h>
#include <stdlib.h>
#include "glext.hh"


GLRasterPixmap::GLRasterPixmap(Pixmap *p) :p(p)
{
  p->ref();
  loaded=true;
}

void GLRasterPixmap::display()
{
  glDisable(GL_TEXTURE_2D);
  glDisable(GL_TEXTURE_RECTANGLE_NV);
  printf("zoom: %f, %f\n", p->w/1200., p->h/5.);
  // PixelZoom is slow :( => need another method for resizing the image
//  glPixelZoom(1200.0/p->w, 1024.0/p->h);
  glDrawPixels(p->w, p->h, GL_RGB, GL_UNSIGNED_BYTE, (const GLvoid *) (p->data));
//  glPixelZoom(1.0, 1.0);
  glEnable(GL_TEXTURE_2D);
}
GLRasterPixmap::~GLRasterPixmap()
{
}
