#include "document.hh"
#include <vector>
class View {
    double sx, sy, sw, sh;
    int curdoci;
    ViewableDocument *curdoc;
    DocumentTree *docs;
    vector<int> *curpath;
    int rotate;
  public:
    View(DocumentTree *docs0);
    void fit_width();
    void fit_height();
    void fit_all();
    bool init_coords();
    void display();
    void next_doc();
    void prev_doc();
    void keyb(unsigned char key, int x, int y);
    void prepare();
    ~View();
};
void quit();
void swap_buffers();
